"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const eventFlow = require("./eventFlow.vue2.js");
const _sfc_main = {
  __name: "index",
  props: {
    process: Object
  },
  setup(__props, { expose: __expose }) {
    const props = __props;
    const eventFlowRef = Vue.ref(null);
    const fields = Vue.ref([]);
    __expose({
      validate: () => {
        var _a, _b;
        return (_b = (_a = eventFlowRef.value) == null ? void 0 : _a.validate) == null ? void 0 : _b.call(_a);
      }
    });
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createBlock(eventFlow.default, {
        ref_key: "eventFlowRef",
        ref: eventFlowRef,
        process: props.process,
        fields: Vue.unref(fields),
        readOnly: false
      }, null, 8, ["process", "fields"]);
    };
  }
};
exports.default = _sfc_main;
